#if !defined(__tabcntrl_h)              // Sentry, use file only if it's not already included.
#define __tabcntrl_h

/*  Project tabmain
    DHB Software
    Copyright  1995. All Rights Reserved.

    SUBSYSTEM:    tabmain.apx Application
    FILE:         tabcntrl.h
    AUTHOR:       David H. Borg


    OVERVIEW
    ========
    Class definition for TabControl (TWindow).      
*/

#include <owl\owlpch.h>
#pragma hdrstop


#include <commctrl.h>			// Windows 95 Common Controls Header File
#include "tabmnapp.rh"            // Definition of all resources.


//{{TWindow = TabControl}}
class TabControl : public TWindow {
public:
	// Constructor parameters are similar to a TControl constructor
    TabControl (TWindow* parent, int id, int x, int y, int w, int h, TModule* module = 0);
    virtual ~TabControl ();

protected:
	// make default constructor protected so it can't be called
	// inadvertantly. It is still required so that Rescan works right.
    TabControl (TWindow* parent, const char far* title = 0, TModule* module = 0);


//{{TabControlVIRTUAL_BEGIN}}
public:
    virtual char far* GetClassName ();
//{{TabControlVIRTUAL_END}}

//{{TabControlRSP_TBL_BEGIN}}
protected:
    void EvPaint ();
//{{TabControlRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TabControl);
};    //{{TabControl}}


#endif                                      // __tabcntrl_h sentry.

