#if !defined(__tabdilg1_h)              // Sentry, use file only if it's not already included.
#define __tabdilg1_h

/*  Project tabmain
    DHB Software
    Copyright  1995. All Rights Reserved.

    SUBSYSTEM:    tabmain.apx Application
    FILE:         tabdilg1.h
    AUTHOR:       David H. Borg


    OVERVIEW
    ========
    Class definition for TabDialog1 (TDialog).      
*/

#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\groupbox.h>
#include <owl\radiobut.h>

#include "tabmnapp.rh"            // Definition of all resources.


//{{TDialog = TabDialog1}}
struct TabDialog1Xfer {
//{{TabDialog1XFER_DATA}}
    bool    cpu386;
    bool    cpu486;
    bool    cpuPentium;
//{{TabDialog1XFER_DATA_END}}
};


class TabDialog1 : public TDialog {
public:
    TabDialog1 (TWindow* parent, TResId resId = IDD_TABDIALOG1, TModule* module = 0);
    virtual ~TabDialog1 ();

//{{TabDialog1RSP_TBL_BEGIN}}
protected:
    void BNClicked386 ();
    void BNClicked486 ();
    void BNClickedPentium ();
//{{TabDialog1RSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TabDialog1);

//{{TabDialog1XFER_DEF}}
protected:
    TRadioButton *cpu386;
    TRadioButton *cpu486;
    TRadioButton *cpuPentium;

//{{TabDialog1XFER_DEF_END}}
};    //{{TabDialog1}}


#endif                                      // __tabdilg1_h sentry.

