/*  Project tabmain
    DHB Software
    Copyright  1995. All Rights Reserved.

    SUBSYSTEM:    tabmain.apx Application
    FILE:         tabdilg2.cpp
    AUTHOR:       David H. Borg


    OVERVIEW
    ========
    Source file for implementation of TabDialog2 (TDialog).      
*/

#include <owl\owlpch.h>
#pragma hdrstop

#include "tabmnapp.hpp"
#include "tabdilg2.h"


//
// Build a response table for all messages/commands handled
// by the application.
//
DEFINE_RESPONSE_TABLE1(TabDialog2, TDialog)
//{{TabDialog2RSP_TBL_BEGIN}}
    EV_BN_CLICKED(IDC_CDROM, BNClickedCDROM),
    EV_BN_CLICKED(IDC_MOUSE, BNClickedMouse),
    EV_BN_CLICKED(IDC_SOUNDCARD, BNClickedSoundCard),
//{{TabDialog2RSP_TBL_END}}
END_RESPONSE_TABLE;


//{{TabDialog2 Implementation}}


TabDialog2Xfer txDialog2;

TabDialog2::TabDialog2 (TWindow* parent, TResId resId, TModule* module):
    TDialog(parent, resId, module)
{
//{{TabDialog2XFER_USE}}
    mouse = new TCheckBox(this, IDC_MOUSE, 0);
    soundcard = new TCheckBox(this, IDC_SOUNDCARD, 0);
    cdrom = new TCheckBox(this, IDC_CDROM, 0);

    SetTransferBuffer(&txDialog2);
//{{TabDialog2XFER_USE_END}}

	// INSERT>> Your constructor code here.

}


TabDialog2::~TabDialog2 ()
{
	Destroy();

	// INSERT>> Your destructor code here.

}


// send a message to the parent dialog that the tab dialog has been modified.
void TabDialog2::BNClickedCDROM ()
{
	// INSERT>> Your code here.

	::PostMessage( GetParent(), WM_DIALOGISMODIFIED, 0, 0 );
}


// send a message to the parent dialog that the tab dialog has been modified.
void TabDialog2::BNClickedMouse ()
{
	// INSERT>> Your code here.

	::PostMessage( GetParent(), WM_DIALOGISMODIFIED, 0, 0 );
}


// send a message to the parent dialog that the tab dialog has been modified.
void TabDialog2::BNClickedSoundCard ()
{
	// INSERT>> Your code here.

	::PostMessage( GetParent(), WM_DIALOGISMODIFIED, 0, 0 );
}

