/*  Project tabmain
    DHB Software
    Copyright  1995. All Rights Reserved.

    SUBSYSTEM:    tabmain.apx Application
    FILE:         tabdilg3.cpp
    AUTHOR:       David H. Borg


    OVERVIEW
    ========
    Source file for implementation of TabDialog3 (TDialog).      
*/

#include <owl\owlpch.h>
#pragma hdrstop

#include "tabmnapp.hpp"
#include "tabdilg3.h"


//
// Build a response table for all messages/commands handled
// by the application.
//
DEFINE_RESPONSE_TABLE1(TabDialog3, TDialog)
//{{TabDialog3RSP_TBL_BEGIN}}
    EV_EN_CHANGE(IDC_COMPILER, ENChangeCompiler),
//{{TabDialog3RSP_TBL_END}}
END_RESPONSE_TABLE;


//{{TabDialog3 Implementation}}


TabDialog3Xfer txDialog3;

TabDialog3::TabDialog3 (TWindow* parent, TResId resId, TModule* module):
    TDialog(parent, resId, module)
{
//{{TabDialog3XFER_USE}}
    compiler = new TEdit(this, IDC_COMPILER, 255);

	SetTransferBuffer(&txDialog3);
//{{TabDialog3XFER_USE_END}}

    // INSERT>> Your constructor code here.

}


TabDialog3::~TabDialog3 ()
{
	Destroy();

	// INSERT>> Your destructor code here.

}


// send a message to the parent dialog that the tab dialog has been modified.
void TabDialog3::ENChangeCompiler ()
{
	// INSERT>> Your code here.

	static bool start = true;

	if( start)
		start = false;	// prevent message from being sent on dialog creation
	else
		::PostMessage( GetParent(), WM_DIALOGISMODIFIED, 0, 0 );
}

