#if !defined(__tabdilg3_h)              // Sentry, use file only if it's not already included.
#define __tabdilg3_h

/*  Project tabmain
    DHB Software
    Copyright  1995. All Rights Reserved.

    SUBSYSTEM:    tabmain.apx Application
    FILE:         tabdilg3.h
    AUTHOR:       David H. Borg


    OVERVIEW
    ========
    Class definition for TabDialog3 (TDialog).      
*/

#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\edit.h>

#include "tabmnapp.rh"            // Definition of all resources.


//{{TDialog = TabDialog3}}
struct TabDialog3Xfer {
//{{TabDialog3XFER_DATA}}
    char    compiler[ 255 ];
//{{TabDialog3XFER_DATA_END}}
};


class TabDialog3 : public TDialog {
public:
    TabDialog3 (TWindow* parent, TResId resId = IDD_TABDIALOG3, TModule* module = 0);
    virtual ~TabDialog3 ();

//{{TabDialog3RSP_TBL_BEGIN}}
protected:
    void ENChangeCompiler ();
//{{TabDialog3RSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TabDialog3);

//{{TabDialog3XFER_DEF}}
protected:
    TEdit *compiler;

//{{TabDialog3XFER_DEF_END}}
};    //{{TabDialog3}}


#endif                                      // __tabdilg3_h sentry.

