/*  Project tabmain
    DHB Software
    Copyright  1995. All Rights Reserved.

    SUBSYSTEM:    tabmain.apx Application
    FILE:         tabdilg1.cpp
    AUTHOR:       David H. Borg


    OVERVIEW
    ========
    Source file for implementation of TabDialog1 (TDialog).      
*/

#include <owl\owlpch.h>
#pragma hdrstop

#include "tabmnapp.hpp"
#include "tabdilg1.h"


//
// Build a response table for all messages/commands handled
// by the application.
//
DEFINE_RESPONSE_TABLE1(TabDialog1, TDialog)
//{{TabDialog1RSP_TBL_BEGIN}}
	EV_BN_CLICKED(IDC_386, BNClicked386),
	EV_BN_CLICKED(IDC_486, BNClicked486),
	EV_BN_CLICKED(IDC_PENTIUM, BNClickedPentium),
//{{TabDialog1RSP_TBL_END}}
END_RESPONSE_TABLE;


//{{TabDialog1 Implementation}}


TabDialog1Xfer txDialog1;

TabDialog1::TabDialog1 (TWindow* parent, TResId resId, TModule* module):
	TDialog(parent, resId, module)
{
//{{TabDialog1XFER_USE}}
	cpu386 = new TRadioButton(this, IDC_386, 0);
	cpu486 = new TRadioButton(this, IDC_486, 0);
	cpuPentium = new TRadioButton(this, IDC_PENTIUM, 0);

	SetTransferBuffer(&txDialog1);
//{{TabDialog1XFER_USE_END}}

	// INSERT>> Your constructor code here.

}


TabDialog1::~TabDialog1 ()
{
	Destroy();

	// INSERT>> Your destructor code here.

}


// send a message to the parent dialog that the tab dialog has been modified.
void TabDialog1::BNClicked386 ()
{
	// INSERT>> Your code here.

	::PostMessage( GetParent(), WM_DIALOGISMODIFIED, 0, 0 );
}


// send a message to the parent dialog that the tab dialog has been modified.
void TabDialog1::BNClicked486 ()
{
	// INSERT>> Your code here.

	::PostMessage( GetParent(), WM_DIALOGISMODIFIED, 0, 0 );
}


// send a message to the parent dialog that the tab dialog has been modified.
void TabDialog1::BNClickedPentium ()
{
	// INSERT>> Your code here.

	::PostMessage( GetParent(), WM_DIALOGISMODIFIED, 0, 0 );
}

