#if !defined(__tabdilg2_h)              // Sentry, use file only if it's not already included.
#define __tabdilg2_h

/*  Project tabmain
    DHB Software
    Copyright  1995. All Rights Reserved.

    SUBSYSTEM:    tabmain.apx Application
    FILE:         tabdilg2.h
    AUTHOR:       David H. Borg


    OVERVIEW
    ========
    Class definition for TabDialog2 (TDialog).      
*/

#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\checkbox.h>

#include "tabmnapp.rh"            // Definition of all resources.


//{{TDialog = TabDialog2}}
struct TabDialog2Xfer {
//{{TabDialog2XFER_DATA}}
    bool    mouse;
    bool    soundcard;
    bool    cdrom;
//{{TabDialog2XFER_DATA_END}}
};


class TabDialog2 : public TDialog {
public:
    TabDialog2 (TWindow* parent, TResId resId = IDD_TABDIALOG2, TModule* module = 0);
    virtual ~TabDialog2 ();

//{{TabDialog2RSP_TBL_BEGIN}}
protected:
    void BNClickedCDROM ();
    void BNClickedMouse ();
    void BNClickedSoundCard ();
//{{TabDialog2RSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TabDialog2);

//{{TabDialog2XFER_DEF}}
protected:
    TCheckBox *mouse;
    TCheckBox *soundcard;
    TCheckBox *cdrom;

//{{TabDialog2XFER_DEF_END}}
};    //{{TabDialog2}}


#endif                                      // __tabdilg2_h sentry.

