#if !defined(__tabmnapp_h)              // Sentry, use file only if it's not already included.
#define __tabmnapp_h

/*  Project TabMain
    DHB Software
    Copyright  1995. All Rights Reserved.

    SUBSYSTEM:    tabmain.exe Application
    FILE:         tabmnapp.h
    AUTHOR:       David H. Borg


    OVERVIEW
    ========
    Class definition for TabMainApp (TApplication).      
*/


#include <owl\owlpch.h>
#pragma hdrstop


#include "tabmnapp.rh"            // Definition of all resources.


//
// FrameWindow must be derived to override Paint for Preview and Print.
//
//{{TDecoratedFrame = SDIDecFrame}}
class SDIDecFrame : public TDecoratedFrame {
public:
    SDIDecFrame (TWindow *parent, const char far *title, TWindow *clientWnd, bool trackMenuSelection = false, TModule *module = 0);
    ~SDIDecFrame ();
};    //{{SDIDecFrame}}


//{{TApplication = TabMainApp}}
class TabMainApp : public TApplication {
private:

public:
    TabMainApp ();
    virtual ~TabMainApp ();

//{{TabMainAppVIRTUAL_BEGIN}}
public:
    virtual void InitMainWindow();
//{{TabMainAppVIRTUAL_END}}

//{{TabMainAppRSP_TBL_BEGIN}}
protected:
    void CmHelpAbout ();
//{{TabMainAppRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TabMainApp);
};    //{{TabMainApp}}


#endif                                      // __tabmnapp_h sentry.
